// Copyright (c) 2009-2026 SAP SE, All Rights Reserved
/**
 * @fileOverview sap.ushell.components.factsheet.views.ThingViewer
 * @deprecated since 1.120. Deprecated without successor.
 */
sap.ui.define([
    "sap/ui/model/odata/ODataModel"
], (ODataModel) => {
    "use strict";

    sap.ui.controller("sap.ushell.components.factsheet.views.ThingViewer", {
        setService: function (sUri) {
            this.getView().setModel(new ODataModel(sUri));
        }
    });
});
